diff --git a/.mvn/jvm.config b/.mvn/jvm.config
new file mode 100644
index 00000000..0e7dabef
--- /dev/null
+++ b/.mvn/jvm.config
@@ -0,0 +1 @@
+-Xmx1024m -XX:CICompilerCount=1 -XX:TieredStopAtLevel=1 -Djava.security.egd=file:/dev/./urandom
\ No newline at end of file
diff --git a/.mvn/maven.config b/.mvn/maven.config
new file mode 100644
index 00000000..8b137891
--- /dev/null
+++ b/.mvn/maven.config
@@ -0,0 +1 @@
+
diff --git a/.mvn/wrapper/maven-wrapper.jar b/.mvn/wrapper/maven-wrapper.jar
new file mode 100644
index 00000000..c6feb8bb
Binary files /dev/null and b/.mvn/wrapper/maven-wrapper.jar differ
diff --git a/.mvn/wrapper/maven-wrapper.properties b/.mvn/wrapper/maven-wrapper.properties
new file mode 100644
index 00000000..6637cedb
--- /dev/null
+++ b/.mvn/wrapper/maven-wrapper.properties
@@ -0,0 +1 @@
+distributionUrl=https://repo1.maven.org/maven2/org/apache/maven/apache-maven/3.3.9/apache-maven-3.3.9-bin.zip
\ No newline at end of file
diff --git a/.travis.yml b/.travis.yml
index bf207669..7e9d20bc 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -15,6 +15,7 @@ cache:
directories:
- $HOME/.gradle/caches/
- $HOME/.gradle/wrapper/
+ - $HOME/.m2
env:
global:
- secure: YIuMCulUHkCrZDzrIZj+ni+QoQYT3H5C6z32FDeRb4HD9GQzuYQ/+dLWZ6p/X2vkPv1FBlXYb6hpw9PvRLPkGqic0oKX3kMj5LmaXw6nmrq5jvmB0qAjoQ0ukhSUzQVK+43A9aNrAEsHRdrESjleeR1ISeQsUdkikaSs2D1+gQI=
diff --git a/CHANGELOG.md b/CHANGELOG.md
index dc54592b..2eb54f38 100644
--- a/CHANGELOG.md
+++ b/CHANGELOG.md
@@ -1,3 +1,7 @@
+### Version 9.0
+* Migrates to maven from gradle
+* Changes maven groupId to `io.github.openfeign`
+
### Version 8.18
* Content-Length response bodies with lengths greater than Integer.MAX_VALUE report null length
* Previously the OkhttpClient would throw an exception, and ApacheHttpClient
diff --git a/benchmark/pom.xml b/benchmark/pom.xml
index 648e4e76..4dc1fad6 100644
--- a/benchmark/pom.xml
+++ b/benchmark/pom.xml
@@ -9,6 +9,7 @@
9
+
com.netflix.feign
feign-benchmark
jar
diff --git a/buildViaTravis.sh b/buildViaTravis.sh
index 3e9546eb..4c92d7b9 100755
--- a/buildViaTravis.sh
+++ b/buildViaTravis.sh
@@ -3,24 +3,27 @@
if [ "$TRAVIS_PULL_REQUEST" != "false" ]; then
echo -e "Build Pull Request #$TRAVIS_PULL_REQUEST => Branch [$TRAVIS_BRANCH]"
- ./gradlew build
+ ./mvnw clean install
elif [ "${bintrayUser}" == "" ]; then
echo -e "Building with no environment variables set => Forked repository"
- ./gradlew build
+ ./mvnw clean install
elif [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_TAG" == "" ]; then
echo -e 'Build Branch with Snapshot => Branch ['$TRAVIS_BRANCH']'
+ #TODO migrate to maven
./gradlew -Prelease.travisci=true -PbintrayUser="${bintrayUser}" -PbintrayKey="${bintrayKey}" -PsonatypeUsername="${sonatypeUsername}" -PsonatypePassword="${sonatypePassword}" build snapshot
elif [ "$TRAVIS_PULL_REQUEST" == "false" ] && [ "$TRAVIS_TAG" != "" ]; then
echo -e 'Build Branch for Release => Branch ['$TRAVIS_BRANCH'] Tag ['$TRAVIS_TAG']'
case "$TRAVIS_TAG" in
*-rc\.*)
+ #TODO migrate to maven
./gradlew -Prelease.travisci=true -Prelease.useLastTag=true -PbintrayUser="${bintrayUser}" -PbintrayKey="${bintrayKey}" -PsonatypeUsername="${sonatypeUsername}" -PsonatypePassword="${sonatypePassword}" candidate
;;
*)
+ #TODO migrate to maven
./gradlew -Prelease.travisci=true -Prelease.useLastTag=true -PbintrayUser="${bintrayUser}" -PbintrayKey="${bintrayKey}" -PsonatypeUsername="${sonatypeUsername}" -PsonatypePassword="${sonatypePassword}" final
;;
esac
else
echo -e 'WARN: Should not be here => Branch ['$TRAVIS_BRANCH'] Tag ['$TRAVIS_TAG'] Pull Request ['$TRAVIS_PULL_REQUEST']'
- ./gradlew build
+ ./mvnw clean install
fi
diff --git a/core/pom.xml b/core/pom.xml
new file mode 100644
index 00000000..9d822720
--- /dev/null
+++ b/core/pom.xml
@@ -0,0 +1,61 @@
+
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-core
+ Feign Core
+ Feign Core
+
+
+ ${project.basedir}/..
+
+
+
+
+ org.jvnet
+ animal-sniffer-annotation
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ test
+
+
+
+ com.google.code.gson
+ gson
+ test
+
+
+
+ org.springframework
+ spring-context
+ 4.2.5.RELEASE
+ test
+
+
+
+
+
+
+ maven-jar-plugin
+
+
+
+ test-jar
+
+
+
+
+
+
+
diff --git a/example-github/build.gradle b/example-github/build.gradle
index 182cec31..d26dd8c8 100644
--- a/example-github/build.gradle
+++ b/example-github/build.gradle
@@ -12,6 +12,7 @@ configurations {
}
dependencies {
+ // TODO: change group id when 9.0 is released
compile 'com.netflix.feign:feign-core:8.16.2'
compile 'com.netflix.feign:feign-gson:8.16.2'
}
diff --git a/example-github/pom.xml b/example-github/pom.xml
index 1166f83d..75421331 100644
--- a/example-github/pom.xml
+++ b/example-github/pom.xml
@@ -9,6 +9,7 @@
7
+
com.netflix.feign
feign-example-github
jar
diff --git a/example-wikipedia/build.gradle b/example-wikipedia/build.gradle
index 2efb9e58..7474fe45 100644
--- a/example-wikipedia/build.gradle
+++ b/example-wikipedia/build.gradle
@@ -12,6 +12,7 @@ configurations {
}
dependencies {
+ // TODO: change group id when 9.0 is released
compile 'com.netflix.feign:feign-core:8.7.0'
compile 'com.netflix.feign:feign-gson:8.7.0'
}
diff --git a/example-wikipedia/pom.xml b/example-wikipedia/pom.xml
index a98e4b19..9cf5e6c4 100644
--- a/example-wikipedia/pom.xml
+++ b/example-wikipedia/pom.xml
@@ -9,6 +9,7 @@
7
+
com.netflix.feign
feign-example-wikipedia
jar
diff --git a/gson/pom.xml b/gson/pom.xml
new file mode 100644
index 00000000..1d1f9362
--- /dev/null
+++ b/gson/pom.xml
@@ -0,0 +1,38 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-gson
+ Feign Gson
+ Feign Gson
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.google.code.gson
+ gson
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/httpclient/pom.xml b/httpclient/pom.xml
new file mode 100644
index 00000000..797366ea
--- /dev/null
+++ b/httpclient/pom.xml
@@ -0,0 +1,45 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-httpclient
+ Feign Apache HttpClient
+ Feign Apache HttpClient
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ org.apache.httpcomponents
+ httpclient
+ 4.5.1
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ test
+
+
+
diff --git a/hystrix/pom.xml b/hystrix/pom.xml
new file mode 100644
index 00000000..69a908e9
--- /dev/null
+++ b/hystrix/pom.xml
@@ -0,0 +1,51 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-hystrix
+ Feign Hystrix
+ Feign Hystrix
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.netflix.hystrix
+ hystrix-core
+ 1.4.26
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
+ ${project.groupId}
+ feign-gson
+ test
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ test
+
+
+
diff --git a/jackson-jaxb/pom.xml b/jackson-jaxb/pom.xml
new file mode 100644
index 00000000..ff230efc
--- /dev/null
+++ b/jackson-jaxb/pom.xml
@@ -0,0 +1,59 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-jackson-jaxb
+ Feign Jackson JAXB
+ Feign Jackson JAXB
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.fasterxml.jackson.core
+ jackson-databind
+ ${jackson.version}
+
+
+
+ javax.ws.rs
+ jsr311-api
+ 1.1.1
+
+
+
+ com.fasterxml.jackson.jaxrs
+ jackson-jaxrs-json-provider
+ 2.6.4
+
+
+
+
+ com.sun.jersey
+ jersey-client
+ 1.19
+ test
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/jackson/pom.xml b/jackson/pom.xml
new file mode 100644
index 00000000..1e2bd0bb
--- /dev/null
+++ b/jackson/pom.xml
@@ -0,0 +1,39 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-jackson
+ Feign Jackson
+ Feign Jackson
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.fasterxml.jackson.core
+ jackson-databind
+ ${jackson.version}
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/jaxb/pom.xml b/jaxb/pom.xml
new file mode 100644
index 00000000..5632e734
--- /dev/null
+++ b/jaxb/pom.xml
@@ -0,0 +1,33 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-jaxb
+ Feign JAXB
+ Feign JAXB
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/jaxrs/pom.xml b/jaxrs/pom.xml
new file mode 100644
index 00000000..f249dd76
--- /dev/null
+++ b/jaxrs/pom.xml
@@ -0,0 +1,46 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-jaxrs
+ Feign JAX-RS
+ Feign JAX-RS
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ javax.ws.rs
+ jsr311-api
+ 1.1.1
+
+
+
+
+ ${project.groupId}
+ feign-gson
+ test
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/mvnw b/mvnw
new file mode 100755
index 00000000..fc7efd17
--- /dev/null
+++ b/mvnw
@@ -0,0 +1,234 @@
+#!/bin/sh
+# ----------------------------------------------------------------------------
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements. See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership. The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License. You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+# KIND, either express or implied. See the License for the
+# specific language governing permissions and limitations
+# under the License.
+# ----------------------------------------------------------------------------
+
+# ----------------------------------------------------------------------------
+# Maven2 Start Up Batch script
+#
+# Required ENV vars:
+# ------------------
+# JAVA_HOME - location of a JDK home dir
+#
+# Optional ENV vars
+# -----------------
+# M2_HOME - location of maven2's installed home dir
+# MAVEN_OPTS - parameters passed to the Java VM when running Maven
+# e.g. to debug Maven itself, use
+# set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+# MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+# ----------------------------------------------------------------------------
+
+if [ -z "$MAVEN_SKIP_RC" ] ; then
+
+ if [ -f /etc/mavenrc ] ; then
+ . /etc/mavenrc
+ fi
+
+ if [ -f "$HOME/.mavenrc" ] ; then
+ . "$HOME/.mavenrc"
+ fi
+
+fi
+
+# OS specific support. $var _must_ be set to either true or false.
+cygwin=false;
+darwin=false;
+mingw=false
+case "`uname`" in
+ CYGWIN*) cygwin=true ;;
+ MINGW*) mingw=true;;
+ Darwin*) darwin=true
+ #
+ # Look for the Apple JDKs first to preserve the existing behaviour, and then look
+ # for the new JDKs provided by Oracle.
+ #
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L /System/Library/Java/JavaVirtualMachines/CurrentJDK ] ; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=/System/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -L "/Library/Java/JavaVirtualMachines/CurrentJDK" ] ; then
+ #
+ # Oracle JDKs
+ #
+ export JAVA_HOME=/Library/Java/JavaVirtualMachines/CurrentJDK/Contents/Home
+ fi
+
+ if [ -z "$JAVA_HOME" ] && [ -x "/usr/libexec/java_home" ]; then
+ #
+ # Apple JDKs
+ #
+ export JAVA_HOME=`/usr/libexec/java_home`
+ fi
+ ;;
+esac
+
+if [ -z "$JAVA_HOME" ] ; then
+ if [ -r /etc/gentoo-release ] ; then
+ JAVA_HOME=`java-config --jre-home`
+ fi
+fi
+
+if [ -z "$M2_HOME" ] ; then
+ ## resolve links - $0 may be a link to maven's home
+ PRG="$0"
+
+ # need this for relative symlinks
+ while [ -h "$PRG" ] ; do
+ ls=`ls -ld "$PRG"`
+ link=`expr "$ls" : '.*-> \(.*\)$'`
+ if expr "$link" : '/.*' > /dev/null; then
+ PRG="$link"
+ else
+ PRG="`dirname "$PRG"`/$link"
+ fi
+ done
+
+ saveddir=`pwd`
+
+ M2_HOME=`dirname "$PRG"`/..
+
+ # make it fully qualified
+ M2_HOME=`cd "$M2_HOME" && pwd`
+
+ cd "$saveddir"
+ # echo Using m2 at $M2_HOME
+fi
+
+# For Cygwin, ensure paths are in UNIX format before anything is touched
+if $cygwin ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --unix "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --unix "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --unix "$CLASSPATH"`
+fi
+
+# For Migwn, ensure paths are in UNIX format before anything is touched
+if $mingw ; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME="`(cd "$M2_HOME"; pwd)`"
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME="`(cd "$JAVA_HOME"; pwd)`"
+ # TODO classpath?
+fi
+
+if [ -z "$JAVA_HOME" ]; then
+ javaExecutable="`which javac`"
+ if [ -n "$javaExecutable" ] && ! [ "`expr \"$javaExecutable\" : '\([^ ]*\)'`" = "no" ]; then
+ # readlink(1) is not available as standard on Solaris 10.
+ readLink=`which readlink`
+ if [ ! `expr "$readLink" : '\([^ ]*\)'` = "no" ]; then
+ if $darwin ; then
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaExecutable="`cd \"$javaHome\" && pwd -P`/javac"
+ else
+ javaExecutable="`readlink -f \"$javaExecutable\"`"
+ fi
+ javaHome="`dirname \"$javaExecutable\"`"
+ javaHome=`expr "$javaHome" : '\(.*\)/bin'`
+ JAVA_HOME="$javaHome"
+ export JAVA_HOME
+ fi
+ fi
+fi
+
+if [ -z "$JAVACMD" ] ; then
+ if [ -n "$JAVA_HOME" ] ; then
+ if [ -x "$JAVA_HOME/jre/sh/java" ] ; then
+ # IBM's JDK on AIX uses strange locations for the executables
+ JAVACMD="$JAVA_HOME/jre/sh/java"
+ else
+ JAVACMD="$JAVA_HOME/bin/java"
+ fi
+ else
+ JAVACMD="`which java`"
+ fi
+fi
+
+if [ ! -x "$JAVACMD" ] ; then
+ echo "Error: JAVA_HOME is not defined correctly." >&2
+ echo " We cannot execute $JAVACMD" >&2
+ exit 1
+fi
+
+if [ -z "$JAVA_HOME" ] ; then
+ echo "Warning: JAVA_HOME environment variable is not set."
+fi
+
+CLASSWORLDS_LAUNCHER=org.codehaus.plexus.classworlds.launcher.Launcher
+
+# For Cygwin, switch paths to Windows format before running java
+if $cygwin; then
+ [ -n "$M2_HOME" ] &&
+ M2_HOME=`cygpath --path --windows "$M2_HOME"`
+ [ -n "$JAVA_HOME" ] &&
+ JAVA_HOME=`cygpath --path --windows "$JAVA_HOME"`
+ [ -n "$CLASSPATH" ] &&
+ CLASSPATH=`cygpath --path --windows "$CLASSPATH"`
+fi
+
+# traverses directory structure from process work directory to filesystem root
+# first directory with .mvn subdirectory is considered project base directory
+find_maven_basedir() {
+ local basedir=$(pwd)
+ local wdir=$(pwd)
+ while [ "$wdir" != '/' ] ; do
+ if [ -d "$wdir"/.mvn ] ; then
+ basedir=$wdir
+ break
+ fi
+ wdir=$(cd "$wdir/.."; pwd)
+ done
+ echo "${basedir}"
+}
+
+# concatenates all lines of a file
+concat_lines() {
+ if [ -f "$1" ]; then
+ echo "$(tr -s '\n' ' ' < "$1")"
+ fi
+}
+
+export MAVEN_PROJECTBASEDIR=${MAVEN_BASEDIR:-$(find_maven_basedir)}
+MAVEN_OPTS="$(concat_lines "$MAVEN_PROJECTBASEDIR/.mvn/jvm.config") $MAVEN_OPTS"
+
+# Provide a "standardized" way to retrieve the CLI args that will
+# work with both Windows and non-Windows executions.
+MAVEN_CMD_LINE_ARGS="$MAVEN_CONFIG $@"
+export MAVEN_CMD_LINE_ARGS
+
+WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+exec "$JAVACMD" \
+ $MAVEN_OPTS \
+ -classpath "$MAVEN_PROJECTBASEDIR/.mvn/wrapper/maven-wrapper.jar" \
+ "-Dmaven.home=${M2_HOME}" "-Dmaven.multiModuleProjectDirectory=${MAVEN_PROJECTBASEDIR}" \
+ ${WRAPPER_LAUNCHER} $MAVEN_CMD_LINE_ARGS
+
diff --git a/mvnw.cmd b/mvnw.cmd
new file mode 100644
index 00000000..0d49a2de
--- /dev/null
+++ b/mvnw.cmd
@@ -0,0 +1,145 @@
+@REM ----------------------------------------------------------------------------
+@REM Licensed to the Apache Software Foundation (ASF) under one
+@REM or more contributor license agreements. See the NOTICE file
+@REM distributed with this work for additional information
+@REM regarding copyright ownership. The ASF licenses this file
+@REM to you under the Apache License, Version 2.0 (the
+@REM "License"); you may not use this file except in compliance
+@REM with the License. You may obtain a copy of the License at
+@REM
+@REM http://www.apache.org/licenses/LICENSE-2.0
+@REM
+@REM Unless required by applicable law or agreed to in writing,
+@REM software distributed under the License is distributed on an
+@REM "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+@REM KIND, either express or implied. See the License for the
+@REM specific language governing permissions and limitations
+@REM under the License.
+@REM ----------------------------------------------------------------------------
+
+@REM ----------------------------------------------------------------------------
+@REM Maven2 Start Up Batch script
+@REM
+@REM Required ENV vars:
+@REM JAVA_HOME - location of a JDK home dir
+@REM
+@REM Optional ENV vars
+@REM M2_HOME - location of maven2's installed home dir
+@REM MAVEN_BATCH_ECHO - set to 'on' to enable the echoing of the batch commands
+@REM MAVEN_BATCH_PAUSE - set to 'on' to wait for a key stroke before ending
+@REM MAVEN_OPTS - parameters passed to the Java VM when running Maven
+@REM e.g. to debug Maven itself, use
+@REM set MAVEN_OPTS=-Xdebug -Xrunjdwp:transport=dt_socket,server=y,suspend=y,address=8000
+@REM MAVEN_SKIP_RC - flag to disable loading of mavenrc files
+@REM ----------------------------------------------------------------------------
+
+@REM Begin all REM lines with '@' in case MAVEN_BATCH_ECHO is 'on'
+@echo off
+@REM enable echoing my setting MAVEN_BATCH_ECHO to 'on'
+@if "%MAVEN_BATCH_ECHO%" == "on" echo %MAVEN_BATCH_ECHO%
+
+@REM set %HOME% to equivalent of $HOME
+if "%HOME%" == "" (set "HOME=%HOMEDRIVE%%HOMEPATH%")
+
+@REM Execute a user defined script before this one
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPre
+@REM check for pre script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_pre.bat" call "%HOME%\mavenrc_pre.bat"
+if exist "%HOME%\mavenrc_pre.cmd" call "%HOME%\mavenrc_pre.cmd"
+:skipRcPre
+
+@setlocal
+
+set ERROR_CODE=0
+
+@REM To isolate internal variables from possible post scripts, we use another setlocal
+@setlocal
+
+@REM ==== START VALIDATION ====
+if not "%JAVA_HOME%" == "" goto OkJHome
+
+echo.
+echo Error: JAVA_HOME not found in your environment. >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+:OkJHome
+if exist "%JAVA_HOME%\bin\java.exe" goto init
+
+echo.
+echo Error: JAVA_HOME is set to an invalid directory. >&2
+echo JAVA_HOME = "%JAVA_HOME%" >&2
+echo Please set the JAVA_HOME variable in your environment to match the >&2
+echo location of your Java installation. >&2
+echo.
+goto error
+
+@REM ==== END VALIDATION ====
+
+:init
+
+set MAVEN_CMD_LINE_ARGS=%MAVEN_CONFIG% %*
+
+@REM Find the project base dir, i.e. the directory that contains the folder ".mvn".
+@REM Fallback to current working directory if not found.
+
+set MAVEN_PROJECTBASEDIR=%MAVEN_BASEDIR%
+IF NOT "%MAVEN_PROJECTBASEDIR%"=="" goto endDetectBaseDir
+
+set EXEC_DIR=%CD%
+set WDIR=%EXEC_DIR%
+:findBaseDir
+IF EXIST "%WDIR%"\.mvn goto baseDirFound
+cd ..
+IF "%WDIR%"=="%CD%" goto baseDirNotFound
+set WDIR=%CD%
+goto findBaseDir
+
+:baseDirFound
+set MAVEN_PROJECTBASEDIR=%WDIR%
+cd "%EXEC_DIR%"
+goto endDetectBaseDir
+
+:baseDirNotFound
+set MAVEN_PROJECTBASEDIR=%EXEC_DIR%
+cd "%EXEC_DIR%"
+
+:endDetectBaseDir
+
+IF NOT EXIST "%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config" goto endReadAdditionalConfig
+
+@setlocal EnableExtensions EnableDelayedExpansion
+for /F "usebackq delims=" %%a in ("%MAVEN_PROJECTBASEDIR%\.mvn\jvm.config") do set JVM_CONFIG_MAVEN_PROPS=!JVM_CONFIG_MAVEN_PROPS! %%a
+@endlocal & set JVM_CONFIG_MAVEN_PROPS=%JVM_CONFIG_MAVEN_PROPS%
+
+:endReadAdditionalConfig
+
+SET MAVEN_JAVA_EXE="%JAVA_HOME%\bin\java.exe"
+
+set WRAPPER_JAR=""%MAVEN_PROJECTBASEDIR%\.mvn\wrapper\maven-wrapper.jar""
+set WRAPPER_LAUNCHER=org.apache.maven.wrapper.MavenWrapperMain
+
+%MAVEN_JAVA_EXE% %JVM_CONFIG_MAVEN_PROPS% %MAVEN_OPTS% %MAVEN_DEBUG_OPTS% -classpath %WRAPPER_JAR% "-Dmaven.multiModuleProjectDirectory=%MAVEN_PROJECTBASEDIR%" %WRAPPER_LAUNCHER% %MAVEN_CMD_LINE_ARGS%
+if ERRORLEVEL 1 goto error
+goto end
+
+:error
+set ERROR_CODE=1
+
+:end
+@endlocal & set ERROR_CODE=%ERROR_CODE%
+
+if not "%MAVEN_SKIP_RC%" == "" goto skipRcPost
+@REM check for post script, once with legacy .bat ending and once with .cmd ending
+if exist "%HOME%\mavenrc_post.bat" call "%HOME%\mavenrc_post.bat"
+if exist "%HOME%\mavenrc_post.cmd" call "%HOME%\mavenrc_post.cmd"
+:skipRcPost
+
+@REM pause the script if MAVEN_BATCH_PAUSE is set to 'on'
+if "%MAVEN_BATCH_PAUSE%" == "on" pause
+
+if "%MAVEN_TERMINATE_CMD%" == "on" exit %ERROR_CODE%
+
+exit /B %ERROR_CODE%
diff --git a/okhttp/pom.xml b/okhttp/pom.xml
new file mode 100644
index 00000000..4a08773d
--- /dev/null
+++ b/okhttp/pom.xml
@@ -0,0 +1,44 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-okhttp
+ Feign OkHttp
+ Feign OkHttp
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.squareup.okhttp3
+ okhttp
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ test
+
+
+
diff --git a/pom.xml b/pom.xml
new file mode 100644
index 00000000..e8e25052
--- /dev/null
+++ b/pom.xml
@@ -0,0 +1,387 @@
+
+
+ 4.0.0
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+ pom
+
+
+ core
+ gson
+ httpclient
+ hystrix
+ jackson-jaxb
+ jackson
+ jaxb
+ jaxrs
+ okhttp
+ ribbon
+ sax
+ slf4j
+
+
+
+ UTF-8
+ UTF-8
+
+
+ 1.6
+ java16
+
+
+ 1.8
+ 1.8
+
+ ${project.basedir}
+
+ 3.2.0
+ 2.5
+
+ 4.12
+
+ 1.7.1
+ 2.6.4
+
+ 1.15
+ 0.3.3
+ 3.5.1
+ 2.5.2
+ 3.0.0
+ 2.10.3
+ 2.6
+ 2.5.3
+ 0.1.0
+
+
+ Feign (Parent)
+ Feign makes writing java http clients easier
+ https://github.com/openfeign/feign
+ 2012
+
+
+ OpenFeign
+ https://github.com/openfeign
+
+
+
+
+ The Apache Software License, Version 2.0
+ http://www.apache.org/licenses/LICENSE-2.0.txt
+ repo
+
+
+
+
+ https://github.com/openfeign/feign
+ scm:git:https://github.com/openfeign/feign.git
+ scm:git:https://github.com/openfeign/feign.git
+ HEAD
+
+
+
+
+ adriancole
+ Adrian Cole
+ acole@pivotal.io
+
+
+ spencergibb
+ Spencer Gibb
+ spencer@gibb.us
+
+
+
+
+
+ bintray
+ https://api.bintray.com/maven/openfeign/maven/feign/;publish=1
+
+
+ jfrog-snapshots
+ http://oss.jfrog.org/artifactory/oss-snapshot-local
+
+
+
+
+ Github
+ https://github.com/openfeign/feign/issues
+
+
+
+
+
+ ${project.groupId}
+ feign-core
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-core
+ ${project.version}
+ test-jar
+
+
+
+ ${project.groupId}
+ feign-gradle
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-gson
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-httpclient
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-hystrix
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-jackson-jaxb
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-jackson
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-jaxb
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-jaxrs
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-okhttp
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-ribbon
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-sax
+ ${project.version}
+
+
+
+ ${project.groupId}
+ feign-slf4j
+ ${project.version}
+
+
+
+ junit
+ junit
+ ${junit.version}
+
+
+
+ org.jvnet
+ animal-sniffer-annotation
+ 1.0
+
+
+
+ com.google.code.gson
+ gson
+ ${gson.version}
+
+
+
+ org.assertj
+ assertj-core
+ ${assertj.version}
+
+
+
+ com.squareup.okhttp3
+ okhttp
+ ${okhttp3.version}
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ ${okhttp3.version}
+
+
+
+
+
+
+ junit
+ junit
+ test
+
+
+
+ org.assertj
+ assertj-core
+ test
+
+
+
+
+
+
+
+
+ io.takari
+ maven
+ ${maven-plugin.version}
+
+
+
+ maven-compiler-plugin
+ ${maven-compiler-plugin.version}
+
+
+
+ maven-jar-plugin
+ ${maven-jar-plugin.version}
+
+
+
+
+
+
+ true
+ maven-compiler-plugin
+
+
+
+ default-compile
+ compile
+
+ compile
+
+
+
+ ${main.java.version}
+
+
+
+
+
+
+ org.codehaus.mojo
+ animal-sniffer-maven-plugin
+ ${animal-sniffer-maven-plugin.version}
+
+
+ org.codehaus.mojo.signature
+ ${main.signature.artifact}
+ 1.0
+
+
+
+
+
+ check
+
+
+
+
+
+
+
+ maven-install-plugin
+ ${maven-install-plugin.version}
+
+ true
+
+
+
+
+ maven-release-plugin
+ ${maven-release-plugin.version}
+
+ false
+ release
+ true
+ @{project.version}
+
+
+
+
+ io.zipkin.centralsync-maven-plugin
+ centralsync-maven-plugin
+ ${centralsync-maven-plugin.version}
+
+ openfeign
+ maven
+ feign
+
+
+
+
+
+
+
+ release
+
+
+
+
+ maven-source-plugin
+ ${maven-source-plugin.version}
+
+
+ attach-sources
+
+ jar
+
+
+
+
+
+
+ maven-javadoc-plugin
+ ${maven-javadoc-plugin.version}
+
+ false
+
+
+
+ attach-javadocs
+
+ jar
+
+ package
+
+
+
+
+
+
+
+
diff --git a/ribbon/pom.xml b/ribbon/pom.xml
new file mode 100644
index 00000000..c9b8912c
--- /dev/null
+++ b/ribbon/pom.xml
@@ -0,0 +1,52 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-ribbon
+ Feign Ribbon
+ Feign Ribbon
+
+
+ ${project.basedir}/..
+ 2.1.1
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ com.netflix.ribbon
+ ribbon-core
+ ${ribbon-version}
+
+
+
+ com.netflix.ribbon
+ ribbon-loadbalancer
+ ${ribbon-version}
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
+ com.squareup.okhttp3
+ mockwebserver
+ test
+
+
+
diff --git a/sax/pom.xml b/sax/pom.xml
new file mode 100644
index 00000000..ab2e8831
--- /dev/null
+++ b/sax/pom.xml
@@ -0,0 +1,33 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-sax
+ Feign SAX
+ Feign SAX
+
+
+ ${project.basedir}/..
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
diff --git a/slf4j/pom.xml b/slf4j/pom.xml
new file mode 100644
index 00000000..a791b2fd
--- /dev/null
+++ b/slf4j/pom.xml
@@ -0,0 +1,47 @@
+
+ 4.0.0
+
+
+ io.github.openfeign
+ parent
+ 9.0.0-SNAPSHOT
+
+
+ feign-slf4j
+ Feign SLF4J
+ Feign SLF4J
+
+
+ ${project.basedir}/..
+ 1.7.13
+
+
+
+
+ ${project.groupId}
+ feign-core
+
+
+
+ org.slf4j
+ slf4j-api
+ ${slf4j.version}
+
+
+
+ ${project.groupId}
+ feign-core
+ test-jar
+ test
+
+
+
+ org.slf4j
+ slf4j-simple
+ ${slf4j.version}
+ test
+
+
+